- [HTTP request](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.ListSelectedRoutesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list#body.aspect_1)

Lists all `SelectedRoute` resources for the specified project with pagination.

### HTTP request

`GET https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The `parent`, which is the project that all `SelectedRoute`s will be queried from. Format: projects/{project}/selectedRoutes |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The number of results that should be returned for a given page. If not set, the default value is 100. When a value of 0 is given, the value is set to the default. The maximum value is 5,000; any value above 5,000 is set to 5,000. |
| `pageToken` | `string` Optional. A page token, received from a previous `selectedRoutes.list` call. |

### Request body

The request body must be empty.

### Response body

Response that lists `SelectedRoute`s.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "selectedRoutes": [ { object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `selectedRoutes[]` | ``object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`)`` A page of `SelectedRoute` resources stored in the project specified in the request. |
| `nextPageToken` | `string` Token that can be sent as `pageToken` to retrieve the next page. If this field is empty, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `roads.selectedRoutes.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).